Microsoft Diagnostics and Recovery Toolset 7

Welcome to Microsoft Diagnostics and Recovery Toolset (DaRT) 7. DaRT 7 lets you diagnose and repair a computer that cannot be started or that has problems starting as expected. By using DaRT, you can easily recover end-user computers that have become unusable, diagnose probable causes of issues, and quickly repair unbootable or locked-out computers. When it is necessary, you can also quickly restore important lost files and detect and remove malware, even when the computer is not online.

DaRT is an important part of the Microsoft Desktop Optimization Pack (MDOP), a dynamic solution available to Software Assurance customers that helps reduce software installation costs, enables delivery of applications as services, and helps manage and control enterprise desktop environments.

For more information about how to perform DaRT tasks, use the following sections.

In This Section

Getting Started with DaRT 7

Planning for DaRT 7

Deployment of DaRT 7

Operations for DaRT 7

Troubleshooting DaRT 7

Security and Protection for DaRT 7

Reference

For more information about DaRT, see

Microsoft Windows Enterprise: Microsoft Diagnostics and Recovery Toolset .
You can go online to browse or search for the most up-to-date help by visiting Microsoft Diagnostics and Recovery Toolset 7 (http://go.microsoft.com/fwlink/?LinkId=216553).


Getting Started with DaRT 7
See Also

This section provides general information for administrators who are evaluating and using Microsoft Diagnostics and Recovery Toolset (DaRT) 7.

In This Section

About DaRT 7

Provides information specifically related to DaRT including what is new in DaRT 7.

Overview of the Tools in DaRT 7

Provides general information about the tools in Microsoft Diagnostics and Recovery Toolset (DaRT) 7.

DaRT 7 Release Notes

Provides a list of known issues with DaRT 7.

See Also

Other Resources

Microsoft Diagnostics and Recovery Toolset 7


About DaRT 7

Microsoft Diagnostics and Recovery Toolset (DaRT) 7 helps you troubleshoot and repair Windows-based desktops. This includes those desktops that cannot be started. DaRT is a powerful set of tools that extend the Windows Recovery Environment (WinRE). By using DaRT, you can analyze an issue to determine its cause, for example, by inspecting the computer’s event log or system registry.

DaRT also provides tools to help you fix a problem as soon as you determine the cause. For example, you can use the tools in DaRT to disable a faulty device driver, remove hotfixes, restore deleted files, and scan the computer for malware even when you cannot or should not start the installed Windows operating system.

DaRT can help you quickly recover computers that are running either 32-bit or 64-bit versions of Windows 7, typically in less time than it would take to reimage the computer.

About the DaRT 7 Recovery Image

Functionality in DaRT lets you create a recovery image that is based on WinRE combined with a set of tools that DaRT provides. The DaRT recovery image takes advantage of WinRE, from which you can access the Diagnostics and Recovery Toolset window.

Use the DaRT Recovery Image Wizard to create the DaRT recovery image. By default, the wizard creates an International Organization for Standardization (ISO) image file on your desktop that is named DaRT70.iso, although you can specify a different location and file name. The wizard also lets you burn the image to a CD or DVD. After you have finished the wizard, you can save the recovery image to a USB flash drive or save it in a format that you can use to create a remote partition or a recovery partition.

When you have to use DaRT to startup an end-user computer that will not start, you can follow the instructions at Start DaRT 7 from the DaRT Recovery Image.

For detailed information about the tools in DaRT, see Overview of the Tools in DaRT 7.

What’s New in DaRT 7

DaRT 7 continues to support all the scenarios included in previous versions and it adds a new Remote Connection feature in addition to three new deployment options.

DaRT 7 Image Creation

The wizard that you use to create DaRT ISO images is now called DaRT Recovery Image and it now supports an option to enable or disable the new Remote Connection feature. Remote Connection lets a helpdesk agent run the DaRT tools from a remote location. In previous releases, the helpdesk agent had to be physically present at the end-user computer to run the DaRT tools.

The wizard also lets you customize the Welcome message for the Remote Connection feature (the message is shown when end users run the Remote Connection tool). IT Admins can also configure which Port Number should be used by Remote Connection.

For more information about the DaRT Recovery Image Wizard or Remote Connection, see Create the DaRT 7 Recovery Image.

DaRT 7 ISO Deployment

In addition to burning to a CD or DVD, DaRT 7 adds three new options when you deploy the ISO that contains the DaRT recovery image:

  • USB flash drive deployment

  • Remote partition deployment

  • Recovery partition deployment

The USB flash drive deployment option lets a company use DaRT on computers that do not have CD or DVD drives available. The recovery and remote partition options let end users have easy access to the DaRT image and to enable the Remote Connection functionality.

For more information about how to deploy DaRT, see Deploy the DaRT 7 Recovery Image.

See Also

Other Resources

Getting Started with DaRT 7


Overview of the Tools in DaRT 7

From the Diagnostics and Recovery Toolset window in Microsoft Diagnostics and Recovery Toolset (DaRT) 7, you can start any of the individual tools that were included when the DaRT recovery image was created. For information about how to access the Diagnostics and Recovery Toolset window, see Start DaRT 7 from the DaRT Recovery Image.

If it is available, you can use the Solution Wizard on the Diagnostics and Recovery Toolset window to select the tool that best addresses your particular issue, based on a brief interview.

Exploring the DaRT Tools

This section describes the various tools that are part of DaRT.

Registry Editor

You can use Registry Editor to access and change the registry of the Windows operating system that you are analyzing or repairing. This includes adding, removing, and editing keys and values, and importing registry (.reg) files.

Warning
Serious problems can occur if you change the registry incorrectly by using Registry Editor. These problems might require you to reinstall the operating system. Before you make changes to the registry, you should back up any valued data on the computer. Change the registry at your own risk.

Locksmith

The Locksmith Wizard lets you set or change the password for any local account on the Windows operating system that you are analyzing or repairing. You do not have to know the current password. However, the password that you set must comply with any requirements that are defined by a local Group Policy object. This includes password length and complexity.

You can use Locksmith when the password for a local account, such as the local Administrator account, is unknown. You cannot use Locksmith to set passwords for domain accounts.

Crash Analyzer

Use the Crash Analyzer Wizard to quickly determine the cause of a computer crash by analyzing the memory dump file on the Windows operating system that you are repairing. Crash Analyzer examines the crash dump file for the driver that caused a computer to fail. Then, you can disable the problem device driver by using the Services and Drivers node in the Computer Management tool.

The Crash Analyzer Wizard requires the Debugging Tools for Windows and symbol files for the operating system that you are repairing. You can include both requirements when you create the DaRT recovery image. If they are not included on the recovery image and you do not have access to them on the computer that you are repairing, you can copy the memory dump file to another computer and use the stand-alone version of Crash Analyzer to diagnose the problem.

Running Crash Analyzer is a good idea even if you plan to reimage the computer. The image could have a defective driver that is causing problems in your environment. By running Crash Analyzer, you can identify problem drivers and improve the image stability.

For more information about Crash Analyzer, see Use the Crash Analyzer for DaRT 7.

File Restore

File Restore lets you try to restore files that were accidentally deleted or that were too big to fit in the Recycle Bin. File Restore is not limited to regular disk volumes, but can find and restore files on lost volumes or on volumes that are encrypted by BitLocker.

Disk Commander

Disk Commander lets you recover and repair disk partitions or volumes by using one of the following recovery processes:

  • Restore the master boot record (MBR)

  • Recover one or more lost volumes

  • Restore partition tables from Disk Commander backup

  • Save partition tables to Disk Commander backup

Warning
We recommend that you back up a disk before you use Disk Commander to repair it. By using Disk Commander, you can potentially damage volumes and make them inaccessible. Additionally, changes to one volume can affect other volumes because volumes on a disk share a partition table.

Disk Wipe

You can use Disk Wipe to delete all data from a disk or volume, even the data that is left behind after you reformat a hard disk drive. Disk Wipe lets you select from either a single-pass overwrite or a four-pass overwrite, which meets current U.S. Department of Defense standards.

Warning
After wiping a disk or volume, you cannot recover the data. Verify the size and label of a volume before erasing it.

Computer Management

Computer Management is a collection of Windows administrative tools that help you troubleshoot a problem computer. You can use the Computer Management tools in DaRT to view system information and event logs, manage disks, list autoruns, and manage services and drivers. The Computer Management console is customized to help you diagnose and repair problems that might be preventing the Windows operating system from starting.

Explorer

The Explorer tool lets you browse the computer’s file system and network shares so that you can remove important data that the user stored on the local drive before you try to repair or reimage the computer. And because you can map drive letters to network shares, you can easily copy and move files from the computer to the network for safekeeping or from the network to the computer to restore them.

Solution Wizard

The Solution Wizard presents a series of questions and then recommends the best tool for the situation, based on your answers. This wizard helps you determine which tool to use when you are not familiar with the tools in DaRT.

TCP/IP Config

When you boot a problem computer into DaRT, it is set to automatically obtain its TCP/IP configuration (IP address and DNS server) from Dynamic Host Configuration Protocol (DHCP). If DHCP is unavailable, you can manually configure TCP/IP by using the TCP/IP Config tool. You first select a network adapter, and then configure the IP address and DNS server for that adapter.

Hotfix Uninstall

The Hotfix Uninstall Wizard lets you remove hotfixes or service packs from the Windows operating system on the computer that you are repairing. Use this tool when a hotfix or service pack is suspected in preventing the operating system from starting.

We recommend that you uninstall only one hotfix at a time, even though the tool lets you uninstall more than one.

Important
Programs that were installed or updated after a hotfix was installed might not work correctly after you uninstall a hotfix.

SFC Scan

The SFC Scan tool starts the System File Repair Wizard and lets you repair system files that are preventing the installed Windows operating system from starting. The System File Repair Wizard can automatically repair system files that are corrupted or missing, or it can prompt you before it performs any repairs.

Search

Before reimaging a computer, recovering files from the local hard disk is important, especially when the user might not have backed up or stored the files elsewhere.

The Search tool opens a File Search window that you can use to find documents when you do not know the file path or to search for general kinds of files across all local hard disks. You can search for specific file-name patterns in specific paths. You can also limit results to a date range or size range.

Standalone System Sweeper

The Standalone System Sweeper can help detect malware and unwanted software and warn you of security risks. You can use this tool to scan a computer for and remove malware even when the installed Windows operating system is not running. When the Standalone System Sweeper detects malicious or unwanted software, it prompts you to remove, quarantine, or allow for each item.

Malware that uses rootkits can mask itself from the running operating system. If a rootkit-enabled virus or spyware is in a computer, most real-time scanning and removal tools can no longer see it or remove it. Because you boot the problem computer into DaRT and the installed operating system is offline, you can detect the rootkit without it being able to mask itself.

Remote Connection

The Remote Connection tool in DaRT lets you remotely run the DaRT tools on an end-user computer. After certain specific information is provided by the end user (or by a helpdesk professional working on the end-user computer), the IT administrator can take control of the end user's computer and run the necessary DaRT tools remotely.

Important
The two computers establishing a remote connection must be part of the same network.

For more information about how to run the DaRT tools remotely, see Run DaRT 7 by Using Remote Connection.

See Also

Other Resources

Getting Started with DaRT 7


DaRT 7 Release Notes

Release notes for Microsoft Diagnostics and Recovery Toolset (DaRT) 7 are available from the Microsoft Technical Library (TechNet) at Release Notes for Microsoft Diagnostics and Recovery Toolset 7.

For additional information about DaRT 7, see Microsoft Diagnostics and Recovery Toolset 7.

© 2011 Microsoft Corporation. All rights reserved.


Planning for DaRT 7

Use the information in this section when you plan the deployment and operation of Microsoft Diagnostics and Recovery Toolset (DaRT) 7 in your enterprise.

Planning to Install DaRT 7

Consider the following when you plan your DaRT 7 installation:

  • When you install DaRT, you can either install all functionality on an IT administrator computer where you will perform all the tasks associated with running DaRT. Or you can install only the DaRT functionality that creates the recovery image on the IT administrator computer. Then, install the functionality used to run DaRT, such as the DaRT Remote Connection Viewer and Crash Analyzer, on a helpdesk agent computer.

  • Make sure that your production environment meets the minimum system requirements. For more information, see System Requirements for DaRT 7.

  • To be able to run DaRT remotely, make sure that the helpdesk agent computer and all computers that you might be troubleshooting remotely are on the same network. For more information, see Run DaRT 7 by Using Remote Connection.

  • Before you roll out DaRT into production, you can first build a lab environment for testing. A test lab should include a minimum of two computers, one to act as the IT administrator/helpdesk agent computer and one to act as an end-user computer. Or, you can use three computers in your lab if you want to separate the IT administrator responsibilities from those of the helpdesk agent.

Planning to Create the DaRT 7 Recovery Image

When you create the DaRT recovery image, you have to decide which tools to include on the image. When you make that decision, remember that end users might have access occasionally to the various DaRT tools. For more information about the DaRT tools, see Run the Diagnostic and Recovery Tools in DaRT 7 and Overview of the Tools in DaRT 7. For more information about how to help create a secure recovery image, see Security and Protection for DaRT 7.

When you create the DaRT recovery image, you will also specify whether you want to include additional drivers or files. Determine the locations of any additional drivers or files that you want to include on the DaRT recovery image.

Prerequisites

The following items are required or recommended for creating the DaRT recovery image:

  • Windows 7 source files

    You must provide the path of a Windows 7 DVD or of Windows 7 source files. Windows 7 source files are required to create the DaRT recovery image.

  • Windows Debugging Tools for your platform

    Windows Debugging Tools are required when you run Crash Analyzer to determine the cause of a computer crash. We recommend that you specify the path of the Windows Debugging Tools at the time that you create the DaRT recovery image. If it is necessary, you can download the Windows Debugging Tools here: Download and Install Debugging Tools for Windows.

  • Optional: Standalone System Sweeper definitions

    The latest definitions for the Standalone System Sweeper are required when you run this tool. Although you can download the definitions when you run Standalone System Sweeper, we recommend that you download the latest definitions at the time you create the DaRT recovery image. In this manner, you can still run the tool with the latest definitions even if the problem computer does not have network connectivity.

  • Optional: Windows symbols files for use with Crash Analyzer

    Typically, debugging information is stored in a symbol file that is separate from the executable. You must have access to the symbol information when you debug an application that has stopped responding, for example if it crashed. For more information, see Use the Crash Analyzer for DaRT 7.

Planning How to Save and Deploy the DaRT Recovery Image

You can save and deploy the DaRT recovery image by using the following methods. When you are determining the method that you will use, consider the advantages and disadvantages of each. Also, consider how you want to use DaRT in your enterprise.

Note
You might want to use more than one method in your organization. For example, you can boot into DaRT from a remote partition for most situations and have a USB flash drive available in case the end-user computer cannot connect to the network.

The following table shows some advantages and disadvantages of each method of using DaRT in your organization.

Method to Boot into DaRT Advantages Disadvantages

From a CD or DVD

Supports scenarios in which the master boot record (MBR) is corrupted and you cannot access the hard disk. Also supports cases in which there is no network connection.

This is most familiar to users of earlier versions of DaRT, and a CD or DVD can be burned directly from the DaRT Recovery Image Wizard.

Requires that someone with access to the CD or DVD is physically at the end-user computer to boot into DaRT.

From a USB flash drive (UFD)

Provides same advantages as booting from a CD or DVD and also provides support to computers that have no CD or DVD drive.

Requires you to format the UFD before you can use it to boot into DaRT. Also requires that someone with access to the UFD is physically at the end-user computer to boot into DaRT.

From a remote (network) partition

Lets you boot into DaRT without needing a CD, DVD, or UFD. Also allows for easy upgrades of DaRT because there is only one file location to update.

Does not work if the end-user computer is not connected to the network.

Widely available to end users and might require additional security considerations when you are creating the recovery image.

From a recovery partition

Lets you boot into DaRT without needing a CD, DVD, or UFD that includes instances in which there is no network connectivity.

Also, can be implemented and managed as part of your standard Windows image process by using automated distribution tools, such as System Center Configuration Manager.

When updating DaRT, requires you to update all computers in your enterprise instead of just one partition (on the network) or device (CD, DVD, or UFD).

See Also

Concepts

Install DaRT 7
Create the DaRT 7 Recovery Image

Other Resources

Deploy the DaRT 7 Recovery Image


Deployment of DaRT 7

Before you begin the deployment of Microsoft Diagnostics and Recovery Toolset (DaRT) 7, review the requirements for your environment. This includes the hardware requirements for installing DaRT. Also, you can use the topics in this section to help you install DaRT in your enterprise based on your environment and deployment strategy.

In This Section

System Requirements for DaRT 7

Describes the system requirements for installing and running DaRT 7.

Install DaRT 7

Describes how to install the DaRT functionality.

See Also

Other Resources

Microsoft Diagnostics and Recovery Toolset 7


System Requirements for DaRT 7

Your environment may already meet the configuration requirements provided here so that you can install and run Microsoft Diagnostics and Recovery Toolset (DaRT) 7. These include the following recovery image and disk space requirements.

DaRT 7 Recovery Image Requirements

No cross-platform recovery image creation is supported. The following table specifies the kind of recovery image that you should create and deploy in your enterprise:

Platform and DaRT Version | Recovery Image Requirements
x64 DaRT 7.0 | Create and use an x64 DaRT recovery image.
x86 DaRT 7.0 | Create and use an x86 DaRT recovery image.

DaRT 7 End-user Computer Requirements

The Diagnostics and Recovery Toolset window in DaRT requires that the destination computer use one of the following operating systems together with the specified amount of system memory available for DaRT:

Operating System | System Requirements for DaRT
Windows® 7 64-bit (2GB) | 2.5GB of system memory
Windows® 7 32-bit (1GB) | 1.5GB of system memory
Windows Server® 2008 R2 (512MB) | 1GB of system memory

DaRT also has the following minimal hardware requirements:

  • A CD or DVD drive or a USB port

    This is required if you are deploying DaRT in your enterprise by using a CD, DVD, or USB.

  • BIOS support for starting the computer from a CD or DVD, a USB flash drive, or from a remote or recovery partition

See Also

Concepts

Run the Diagnostic and Recovery Tools in DaRT 7

Other Resources

About DaRT 7


Install DaRT 7

Use the Windows Installer file for Microsoft Diagnostics and Recovery Toolset (DaRT) 7 to install DaRT on a computer that you will use to first create the DaRT recovery image and then troubleshoot and fix end-user computers. Frequently, across an organization, you might install on the administrator computer only the DaRT functionality that you need to create a DaRT recovery image. Then, on a helpdesk agent computer, you might install only the DaRT functionality that you must have to troubleshoot a problem computer, such as the DaRT Remote Connection Viewer and the Crash Analyzer.

The instructions in this section assume that you are installing all DaRT functionality on one administrator computer.

To install DaRT on an administrator computer

  1. Locate the DaRT installation files that you received as part of your software download.

  2. Double-click the DaRT installation file that corresponds to your system requirements, either 32-bit or 64-bit. The DaRT installation file is named MSDaRT70.msi.

  3. Accept the Microsoft Software License Terms, and then click Next.

  4. Select the destination folder for installing DaRT, select whether DaRT should be installed for all users or just the current user, and then click Next.

  5. Select whether the installation should be Typical, Custom, or Complete, and then click Next.

    • Typical installs the tools that are most frequently used. This method is recommended for most users.

    • Custom lets you select the tools that are installed and where they will be installed. This is recommended for advanced users, especially if you are installing different DaRT tools on different helpdesk computers.

    • Complete installs all DaRT tools and requires the most disk space.

    After you have selected your method of installation, click Next.

  6. To start the installation, click Install.

  7. After the installation is completed successfully, click Finish to exit the wizard.

To change, repair, or remove DaRT

You can change, repair, or remove the DaRT installation by double-clicking the DaRT installation file and then clicking the button that corresponds to the action that you want to perform.

You can also change, repair, or remove the DaRT installation by following these steps:

  1. Click Start and then click Control Panel.

  2. Click Programs and Features.

  3. Click Microsoft Diagnostics and Recovery Toolset 7.0 and then click the button that corresponds to the action that you want to perform.

To install DaRT at the command prompt

When you install or uninstall DaRT, you have the option of running the installation files at the command prompt. This section describes some examples of different options that you can specify when you install or uninstall DaRT at the command prompt.

The following example shows how to install all DaRT functionality.

Copy Code
msiexec /i MSDaRT70.msi ADDLOCAL=CommonFiles,MSDaRTHelp,DaRTRecoveryImage,CrashAnalyzer,RemoteViewer

The following example shows how to install only the DaRT Recovery Image Wizard.

Copy Code
msiexec /i MSDaRT70.msi ADDLOCAL=CommonFiles,MSDaRTHelp,DaRTRecoveryImage

The following example shows how to install only the Crash Analyzer and the DaRT Remote Connection Viewer.

Copy Code
msiexec /i MSDaRT70.msi ADDLOCAL=CommonFiles,MSDaRTHelp,CrashAnalyzer,RemoteViewer

The following example creates a setup log for the Windows Installer. This is valuable for debugging.

Copy Code
msiexec.exe /i MSDaRT70.msi /l*v log.txt
Note
You can add /qn or /qb to perform a silent installation.

See Also

Concepts

Create the DaRT 7 Recovery Image

Other Resources

Planning for DaRT 7


Operations for DaRT 7

Use the topics in this section to help you create, deploy, and manage the Microsoft Diagnostics and Recovery Toolset (DaRT) 7 recovery image. This section also provides instructions for how to open and run the different tools in DaRT.

In This Section

Create the DaRT 7 Recovery Image

Describes how to use the DaRT Recovery Image Wizard to create a recovery image in DaRT 7.

Deploy the DaRT 7 Recovery Image

Describes the different ways in which you can deploy and use the DaRT recovery image in your enterprise.

Start DaRT 7 from the DaRT Recovery Image

Provides instructions for starting DaRT after booting into a computer by using the DaRT recovery image.

Run DaRT 7 on an End-user Computer

Describes how to run DaRT while physically present at an end-user computer.

Run DaRT 7 by Using Remote Connection

Describes how to run DaRT on an end-user computer from a remote location.

Use the Crash Analyzer for DaRT 7

Provides instructions for using the Crash Analyzer in DaRT to inspect an end-user computer crash.

Run the Diagnostic and Recovery Tools in DaRT 7

Describes different tasks that you can perform when you try to fix a problem computer and the different tools in DaRT that you can use.

External Resources

Microsoft Diagnostics and Recovery Toolset 7


Create the DaRT 7 Recovery Image

Microsoft Diagnostics and Recovery Toolset (DaRT) 7 includes the DaRT Recovery Image Wizard that is used in Windows to create a bootable International Organization for Standardization (ISO) image. An ISO image is a file that represents the raw contents of a CD. The ISO you create contains the DaRT recovery image that lets you boot into a problem computer, even if it might otherwise not start. After you boot the computer into DaRT, you can run the different DaRT tools to try to diagnose and repair the computer.

You can write the ISO to a recordable CD or DVD, save it to a USB flash drive, or save it in a format that you can use to boot into DaRT from a remote partition or from a recovery partition. For more information, see Deploy the DaRT 7 Recovery Image.

Note
If your computer includes a CD-RW drive, the wizard offers to burn the ISO image to a blank CD or DVD. If your computer does not include a drive that is supported by the wizard, you can burn the ISO image onto a CD or DVD by using most programs that can burn a CD or DVD.

To create a bootable CD or DVD from the ISO image, you must have:

  • A CD-RW drive.

  • A recordable CD or DVD (in a format supported by the recordable drive).

  • Software that supports the recordable drive and supports burning an ISO image directly to CD or DVD.

    Important
    Test the CD or DVD that you create on all the different kinds of computers that you intend to support because some computers cannot start from all kinds of recordable media.

To save the ISO image to a USB flash drive (UFD), you must have:

  • A correctly formatted UFD.

  • A program that you can use to mount the ISO image.

The DaRT Recovery Image Wizard requires the following information:

  • Boot Image˚˚You must provide the path of a Windows 7 DVD or Windows 7 source files that are required to create the DaRT recovery image.

  • Tool Selection˚˚You can select the tools to include on the DaRT recovery image.

  • Remote Connections˚˚You can select whether you want the DaRT recovery image to include the ability to establish a remote connection between the helpdesk and the end-user computer.

  • Debugging Tools for Windows˚˚You are asked to provide the location of the Debugging Tools for Windows.

  • Definitions for Standalone System Sweeper˚˚You can decide whether to download the latest definitions at the time that you create the recovery image or download the definitions later.

  • Drivers˚˚You are asked whether you want to add drivers to the ISO image.

  • Additional Files˚˚You can add files to the ISO image that might help diagnose problems.

  • ISO Image Location˚˚You are asked to specify where the ISO image should be located.

  • CD/DVD Drive˚˚You are asked to specify whether the CD or DVD drive should be used to burn the CD or DVD.

Note
The ISO image size can vary, depending on the tools that were selected in the DaRT Recovery Image Wizard.

To start the DaRT Recovery Image Wizard in Windows

  • Click Start, click All Programs, and then click Microsoft DaRT 7.

  • Right-click DaRT Recovery Image and then select Run as administrator.

You can create a DaRT recovery image that can only be used for a certain number of days after it is generated. To do this, you must run the DaRT Recovery Image Wizard at a command prompt and specify the number of days.

To create a recovery image that has a time limit

  1. Open a Command Prompt with administrator credentials.

  2. Change the directory to the location of the ERDC.exe program.

  3. Using the following syntax, run the DaRT Recovery Image Wizard. NumberOfDays is a positive integer that represents the number of days that the DaRT recovery image will be usable.

    Copy Code
    ERDC /e NumberOfDays

To create the DaRT recovery image by using the wizard

Follow these instructions to use the DaRT Recovery Image Wizard to create the DaRT recovery image.

To select the tools to include on the DaRT recovery image

The DaRT Recovery Image Wizard presents a Tool Selection dialog box. You can select or remove tools from the list of tools to be included on the DaRT recovery image by highlighting a tool and then clicking the Enable or Disable buttons.

After you have selected all the tools that you want to include on the recovery image, click Next.

To add the option to allow remote connectivity

You can select the Allow remote connections check box to provide the option in the Diagnostics and Recovery Toolset window to establish a remote connection between the helpdesk agent and an end-user computer. After a helpdesk agent establishes a remote connection, they can run the DaRT tools on the end-user computer from a remote location.

You can select the Specify the port number check box to enter a specific port number that will be used when establishing a remote connection. You can specify a port number between 1 and 65535. We recommend that the port number be 1024 or higher to minimize the possibility of a conflict.

You can also create a customized message that an end user will receive when they establish a remote connection. The message can be a maximum of 2048 characters.

For more information about remotely running the DaRT tools, see Run DaRT 7 by Using Remote Connection.

To add the Debugging Tools for Windows to the DaRT recovery image

In the Crash Analyzer dialog box of the DaRT Recovery Image Wizard, you are asked to specify the location of the Debugging Tools for Windows. If you do not have a copy of the tools, you can download them from Microsoft. The following link to the download page is provided in the wizard: Download and Install Debugging Tools for Windows.

You can either specify the location of the debugging tools on the computer where you are running the DaRT Recovery Image Wizard, or you can decide to use the tools that are located on the destination computer. If you decide to use a copy on another computer, you must make sure that the tools are installed on each computer on which you are diagnosing a crash.

Note
If you include the Crash Analyzer in the ISO image, we recommend that you also include the Debugging Tools for Windows.

Follow these steps to add the Debugging Tools for Windows:

  1. (Optional) Click the hyperlink to download the Debugging Tools for Windows.

  2. Select one of the following options:

    • Use the Debugging Tools for Windows in the following location. If you select this option, you can browse to the location of the tools.

    • Locate the Debugging Tools for Windows on the system that you are repairing. If you select this option, the Crash Analyzer will not work if the Debugging Tools for Windows are not found on the problem computer.

  3. After you have finished, click Next.

To add definitions for Standalone System Sweeper to the DaRT recovery image

Definitions are a repository of known malware and other potentially unwanted software. Because malware is being continually developed, Standalone System Sweeper relies on current definitions to determine whether software that is trying to install, run, or change settings on a computer is potentially unwanted or malicious software.

To include the latest definitions in the DaRT recovery image (recommended), click Yes, download the latest definitions. The definition update starts automatically. You must be connected to the Internet to complete this process.

To skip the definition update, click No, manually download definitions later. Definitions will not be included in the DaRT recovery image.

If you decide not to include the latest definitions on the recovery image, or if the definitions included on the recovery image are no longer current by the time that you are ready to use Standalone System Sweeper, obtain the latest definitions before you begin a scan by following the instructions that are provided in the Standalone System Sweeper.

Important
You cannot scan if there are no definitions.

After you have finished, click Next.

To add drivers to the DaRT recovery image

Caution
By default, when you add a driver to the DaRT recovery image, all additional files and subfolders that are located in that folder are added into the recovery image. For more information, see Troubleshooting DaRT 7.

You should include additional drivers on the recovery image for DaRT 7 that you may need when repairing a computer. These may typically include storage or network controllers that are not included on the Windows DVD.

Important
When you select drivers to include, be aware that wireless connectivity (such as Bluetooth or 802.11a/b/g/n) is not supported in DaRT.

To add a storage or network controller driver to the recovery image

  1. In the Additional Drivers dialog box of the DaRT Recovery Image Wizard, click Add Device.

  2. Browse to the file to be added for the driver, and then click Open.

    Note
    The driver file is provided by the manufacturer of the storage or network controller.

  3. Repeat Steps 1 and 2 for every driver that you want to include.

  4. After you have finished, click Next.

To add files to the DaRT recovery image

Follow these steps to add files to the recovery image so that you can use them to diagnose computer problems.

  1. In the Additional Files dialog box of the DaRT Recovery Image Wizard, click Show Files. This opens an Explorer window that displays the folder that holds the shared files.

  2. Create a subfolder in the folder that is listed in the dialog box.

  3. Copy the files that you want to the new subfolder.

  4. After you have finished, click Next.

To select a location for the ISO that contains the DaRT recovery image

Follow these steps to specify the location where the ISO image is created:

  1. In the Create Startup Image dialog box of the DaRT Recovery Image Wizard, click Browse.

  2. Browse to the preferred location in the Save As window, and then click Save.

  3. After you have finished, click Next.

The size of the ISO image will vary, depending on the tools that you select and the files that you add in the wizard.

The wizard requires the ISO image to have an .iso file name extension because most programs that burn a CD or DVD require that extension. If you do not specify a different location, the ISO image is created on your desktop with the name DaRT70.ISO.

To burn the recovery image to a CD or DVD

If the DaRT Recovery Image Wizard detects a compatible CD-RW drive on your computer, it offers to burn the ISO image to a disc for you. If you want to burn a CD or DVD and the wizard does not recognize your drive, you must use another program, such as the program that was included with your drive. You can use a duplicator, a duplicating service, or CD or DVD-burning software to make any additional copies.

  1. In the Burn to a recordable CD/DVD dialog box of the DaRT Recovery Image Wizard, select Burn the image to the following recordable CD/DVD drive.

  2. Select the CD or DVD drive.

    Note
    If a drive is not recognized and you install a new drive, you can click Refresh Drive List to force the wizard to update the list of available drives.

  3. Click Next.

See Also

Concepts

Run the Diagnostic and Recovery Tools in DaRT 7

Other Resources

Planning for DaRT 7
Deploy the DaRT 7 Recovery Image


Deploy the DaRT 7 Recovery Image

After you have created the International Organization for Standardization (ISO) file that contains the Microsoft Diagnostics and Recovery Toolset (DaRT) 7 recovery image, you can deploy the DaRT recovery image throughout your enterprise so that it is available to end users and helpdesk agents. There are four supported methods that you can use to deploy the DaRT recovery image (for more information about each method and the advantages and disadvantages of each, see Planning How to Save and Deploy the DaRT Recovery Image).

  • Burn the ISO image file to a CD or DVD

  • Save the contents of the ISO image file to a USB Flash Drive (UFD)

  • Extract the boot.wim file from the ISO image and deploy as a remote partition that is available to end-user computers

  • Extract the boot.wim file from the ISO image and deploy in the recovery partition of a new Windows 7 installation

Important
The DaRT Recovery Image Wizard only provides the option to burn a CD or DVD. All other methods of saving and deploying the recovery image require additional steps that involve tools that are not included in DaRT. Some guidance and links for these other methods are provided in this section.

In This Section

How to Deploy the DaRT Recovery Image by Using a USB Flash Drive

Describes how to save and deploy the DaRT recovery image by using a USB flash drive.

How to Deploy the DaRT Recovery Image as Part of a Recovery Partition

Describes how to deploy the DaRT recovery image as part of a Windows 7 recovery partition.

How to Deploy the DaRT Recovery Image as a Remote Partition

Describes how to deploy the DaRT recovery image as a remote partition on the network.

See Also

Concepts

Create the DaRT 7 Recovery Image

Other Resources

Planning for DaRT 7
Operations for DaRT 7


How to Deploy the DaRT Recovery Image by Using a USB Flash Drive

After you have finished running the DaRT Recovery Image Wizard, you can use the tool at http://go.microsoft.com/fwlink/?LinkId=218888 to copy the ISO image file to a USB flash drive (UFD).

You can also manually copy the ISO image file to a UFD by following the steps provided in this section.

To save the DaRT recovery image to a USB flash drive

  1. Format the USB flash drive.

    1. From a running valid operating system or Windows PE session, insert your UFD.

    2. At the command prompt with administrator permissions, type DISKPART and then type LIST DISK.

      The Command Prompt window displays the disk number of your UFD, for example DISK 1.

    3. Enter the following commands one at a time at the command prompt.

      Copy Code
      SELECT DISK 1
CLEAN
CREATE PARTITION PRIMARY
SELECT PARTITION 1
ACTIVE
FORMAT FS=NTFS
ASSIGN
EXIT
      Note
      The previous code example assumes Disk 1 is the UFD. If it is necessary, replace DISK 1 with your disk number.

  2. By using your company’s preferred method of mounting an image, mount the ISO image file that you created in the Create Startup Image dialog box of the DaRT Recovery Image Wizard. This requires that you have a method available to mount an image file.

  3. Open the mounted ISO image file and copy all its contents to the formatted USB flash drive.

    Note
    If you burned a CD or DVD of the recovery image, you can open the files on the CD or DVD and copy the contents to the UFD. This lets you skip the need to mount the image.

See Also

Concepts

Create the DaRT 7 Recovery Image

Other Resources

Deploy the DaRT 7 Recovery Image
Planning for DaRT 7


How to Deploy the DaRT Recovery Image as Part of a Recovery Partition

After you have finished running the DaRT Recovery Image Wizard and created the recovery image, you can extract the boot.wim file from the ISO image file and deploy it as a recovery partition in a Windows 7 image.

To deploy DaRT in the recovery partition of a Windows 7 image

  1. Create a target partition in your Windows 7 image that is equal to or greater than the size of the ISO image file that you created by using the DaRT Recovery Image Wizard.

    The minimum size required for a DaRT partition is approximately 300MB. However, we recommend 450MB to accommodate for the remote connection functionality in DaRT.

  2. Extract the boot.wim file from the DaRT ISO image file.

    1. Mount the ISO image file that you created in the Create Startup Image dialog box by using your company’s preferred method of mounting an image.

    2. Open the ISO image file and copy the boot.wim file from the \sources folder in the mounted image to a location on your computer or on an external drive.

      Note
      If you burned a CD or DVD of the recovery image, you can open the files on the CD or DVD and copy the boot.wim file from the \sources folder. This lets you skip the need to mount the image.

  3. Use the boot.wim file to create a bootable recovery partition by using your company’s standard method for creating a custom Windows RE image.

    For more information about how to create or customize a recovery partition, see Customizing the Windows RE Experience.

  4. Replace the target partition in your Windows 7 image with the recovery partition.

After your Windows 7 image is ready, distribute the image to computers in your enterprise by using your company’s standard image deployment process. For more information about how to create a Windows 7 image, see Building a Standard Image of Windows 7: Step-by-Step Guide.

For more information about how to deploy a recovery solution to reinstall the factory image in the event of a system failure, see Deploy a System Recovery Image.

See Also

Concepts

Create the DaRT 7 Recovery Image

Other Resources

Deploy the DaRT 7 Recovery Image
Planning for DaRT 7


How to Deploy the DaRT Recovery Image as a Remote Partition

After you have finished running the DaRT Recovery Image Wizard and created the recovery image, you can extract the boot.wim file from the ISO image file and deploy it as a remote partition on the network.

To deploy DaRT as a remote partition

  1. Extract the boot.wim file from the DaRT ISO image file.

    1. Mount the ISO image file that you created in the Create Startup Image dialog box by using your company’s preferred method of mounting an image.

    2. Open the ISO image file and copy the boot.wim file from the \sources folder in the mounted image to a location on your computer or on an external drive.

      Note
      If you burned a CD or DVD of the recovery image, you can open the files on the CD or DVD and copy the boot.wim file from the \sources folder. This lets you skip the need to mount the image.

  2. Deploy the boot.wim file to a WDS server that can be accessed from end-user computers in your enterprise.

  3. Configure the WDS server to use the boot.wim file for DaRT by following your standard WDS deployment procedures.

For more information about how to deploy DaRT as a remote partition, see the following:

  • Walkthrough: Deploy an Image by Using PXE

  • Windows Deployment Services Getting Started Guide

See Also

Concepts

Create the DaRT 7 Recovery Image

Other Resources

Deploy the DaRT 7 Recovery Image
Planning for DaRT 7


Start DaRT 7 from the DaRT Recovery Image

An end user or helpdesk agent has several different methods to choose from to boot into Microsoft Diagnostics and Recovery Toolset (DaRT) 7, depending on how you deploy the DaRT recovery image. They can insert a DaRT recovery image CD or DVD or a USB flash drive into the problem computer and use it to start the computer.

They can also boot into DaRT from a recovery partition on their computer or from a remote partition on the network. For information about the advantages and disadvantages of each method, see Planning How to Save and Deploy the DaRT Recovery Image.

Whichever method that you use to boot into DaRT, you must enable the boot device in the BIOS for the boot option or options that you want to make available to the end user.

Note
Configuring the BIOS is unique, depending on the kind of hard disk drive, network adapters, and other hardware that is used in your organization.

How to Start DaRT by Using the DaRT Recovery Image

  1. As the computer is booting into the DaRT recovery image, the NetStart dialog box appears. You are asked whether you want to initialize network services. If you click Yes, it is assumed that a DHCP server is present on the network and an attempt is made to obtain an IP address from the server. If the network uses static IP addresses instead of DHCP, you can later use the TCP/IP Configuration tool in DaRT to specify a static IP address.

    To skip the network initialization process, click No.

  2. Following the network initialization dialog box, you are asked whether you want to remap the drive letters. When you run Windows online, the system volume is typically mapped to drive C. However, when you run Windows offline under WinRE, the original system volume might be mapped to another drive, and this can cause confusion. If you decide to remap, DaRT tries to map the offline drive letters to match the online drive letters. Remapping is performed only if an offline operating system is selected later in the startup process.

  3. Following the remapping dialog box, a System Recovery Options dialog box appears and asks you to select a keyboard layout. Then it displays the system root directory, the kind of operating system installed, and the partition size. If you do not see your operating system listed, and suspect that the lack of drivers is a possible cause of the failure, click Load Drivers to load the suspect drivers. This prompts you to insert the installation media for the device and to select the driver. Select the installation that you want to repair or diagnose, and then click Next.

    Note
    If the Windows Recovery Environment (WinRE) detects or suspects that Windows 7 did not start correctly the last time that it was tried, Startup Repair might start to run automatically. For information about this situation including how to resolve it, see Troubleshooting DaRT 7.

    If any of the registry hives are corrupted or missing, Registry Editor, and several other DaRT utilities, will have limited functionality. If no operating system is selected, some tools will not be available.

    The System Recovery Options window appears and lists various recovery tools.

  4. In the System Recovery Options window, click Microsoft Diagnostics and Recovery Toolset (DaRT) to open the Diagnostics and Recovery Toolset window.

For detailed information and instructions about how to run the DaRT tools, click Help on the Diagnostics and Recovery Toolset window to open the client Help file.

How to Run DaRT at the Command Prompt

  • You can run DaRT at the command prompt by specifying the netstart.exe command and by using any of the following parameters:

    Parameter Description

    -network

    Initializes the network services.

    -remount

    Remaps the drive letters.

    -prompt

    Displays messages asking the end user to specify whether to initialize the network and remap the drives.

    Important
    The end user’s response to the prompts overrides the -network and -remount switches.

  • You can customize DaRT so that a computer that boots into DaRT automatically opens the Remote Connection tool that is used to establish a remote connection with the help desk. For more information, see Run DaRT 7 by Using Remote Connection.

See Also

Tasks

Troubleshooting DaRT 7

Concepts

Run the Diagnostic and Recovery Tools in DaRT 7
Overview of the Tools in DaRT 7

Other Resources

Deploy the DaRT 7 Recovery Image


Run DaRT 7 on an End-user Computer

To run Microsoft Diagnostics and Recovery Toolset (DaRT) 7 locally, you must be physically present at the end-user computer that is experiencing problems that require DaRT. Or, you can run DaRT remotely by following the instructions at Run DaRT 7 by Using Remote Connection.

To run DaRT on an end-user computer

  1. Boot into an end-user computer with DaRT by following one of the methods described in Start DaRT 7 from the DaRT Recovery Image.

  2. On the System Recovery Options window, click Microsoft Diagnostics and Recovery Toolset.

    The Diagnostics and Recovery Toolset window opens. You can now run any of the individual tools or wizards that were included when the DaRT recovery image was created.

You can click Help on the Diagnostics and Recovery Toolset window to open the client Help file that provides detailed instruction and information needed to run the individual DaRT tools. You can also click the Solution Wizard on the Diagnostics and Recovery Toolset window to choose the best tool for the situation, based on a brief interview that the wizard provides.

For general information about any of the DaRT tools, see Overview of the Tools in DaRT 7.

See Also

Tasks

Run DaRT 7 by Using Remote Connection

Other Resources

Operations for DaRT 7


Run DaRT 7 by Using Remote Connection

The Remote Connection feature in Microsoft Diagnostics and Recovery Toolset (DaRT) 7 lets an IT administrator run the DaRT tools remotely on an end-user computer. After certain information is provided by the end user (or by a helpdesk professional working on the end-user computer), the IT administrator or helpdesk agent can take control of the end user's computer and run the necessary DaRT tools remotely.

Important
The two computers establishing a remote connection must be part of the same network.

The Diagnostics and Recovery Toolset window includes the option to run DaRT on an end-user computer remotely from an administrator computer. The end user opens the DaRT tools on the problem computer and starts the remote session by clicking Remote Connection.

The Remote Connection feature on the end-user computer creates the following connection information: a ticket number, a port, and a list of all available IP addresses. The ticket number and port are generated randomly.

The IT administrator or helpdesk agent enters this information into the DaRT Remote Connection Viewer to establish the terminal services connection to the end-user computer. The terminal services connection that is established lets an IT administrator remotely interact with the DaRT tools on the end-user computer. The end-user computer then processes the connection information, shares its screen, and responds to instructions from the IT administrator computer.

To run the DaRT tools remotely

  1. Boot an end-user computer by using the DaRT recovery image.

    For more information about booting a computer by using the DaRT recovery image, see Start DaRT 7 from the DaRT Recovery Image.

  2. On the System Recovery Options window, select Microsoft Diagnostics and Recovery Toolset to open the Diagnostics and Recovery Toolset window.

  3. On the Diagnostics and Recovery Toolset window, click Remote Connection to open the DaRT Remote Connection window. If you are prompted to give the help desk remote access, click OK.

    The DaRT Remote Connection window opens and displays a ticket number, IP address, and port information.

  4. On the helpdesk agent computer, open the DaRT Remote Connection Viewer.

    Click Start, click All Programs, click Microsoft DaRT 7, and then click DaRT Remote Connection Viewer.

  5. In the DaRT Remote Connection window, enter the required ticket, IP address, and port information.

    Note
    This information is created on the end-user computer and must be provided by the end user. There might be multiple IP addresses to choose from, depending on how many are available on the end-user computer.

  6. Click Connect.

The IT administrator now assumes control of the end-user computer and can run the DaRT tools remotely.

Note
A file is provided that is named inv32.xml and contains remote connection information, such as the port number and IP address. By default, the file is typically located at %windir%\system32.

To customize the Remote Connection process

  • You can customize the Remote Connection process by editing the winpeshl.ini file. For more information about how to edit the winpeshl.ini file, see Winpeshl.ini Files.

    Specify the following commands and parameters to customize how a remote connection is established with an end-user computer:

    Command Parameter Description

    RemoteRecovery.exe

    -nomessage

    Specifies that the confirmation prompt is not displayed. Remote Connection continues just as if the end user had responded "Yes" to the confirmation prompt.

    WaitForConnection.exe

    none

    Prevents a custom script from continuing until either Remote Connection is not running or a valid connection is established with the end-user computer.

    Important
    This command serves no function if it is specified independently. It must be specified in a script to function correctly.

  • The following is an example of a winpeshl.ini file that is customized to open the Remote Connection tool as soon as an attempt is made to boot into DaRT:

    Copy Code
    [LaunchApps]
"%windir%\system32\netstart.exe -network -remount"
"cmd /C start %windir%\system32\RemoteRecovery.exe -nomessage"
"%windir%\system32\WaitForConnection.exe"
"%SYSTEMDRIVE%\sources\recovery\recenv.exe"

To run the Remote Connection Viewer at the command prompt

  • You can run the DaRT Remote Connection Viewer at the command prompt by specifying the DartRemoteViewer.exe command and by using the following parameters:

    Parameter Description

    -ticket=<ticketnumber>

    Where <ticketnumber> is the ticket number, including the dashes, that is generated by Remote Connection.

    -ipaddress=<ipaddress>

    Where <ipaddress> is the IP address that is generated by Remote Connection.

    -port=<port>

    Where <port> is the port that corresponds to the specified IP address.
    Note
    The variables for these parameters are created on the end-user computer and must be provided by the end user.

  • If all three parameters are specified and the data is valid, a connection is immediately tried when the program starts. If any parameter is not valid, the program starts as if there were no parameters specified.

See Also

Concepts

Run the Diagnostic and Recovery Tools in DaRT 7

Other Resources

Operations for DaRT 7


Use the Crash Analyzer for DaRT 7

The Crash Analyzer in Microsoft Diagnostics and Recovery Toolset (DaRT) 7 lets you debug a crash dump file on a Windows-based computer and then diagnose any related computer errors. The Crash Analyzer uses the Microsoft Debugging Tools for Windows to examine a crash dump file for the driver that caused the computer to fail.

Important
Typically, you run Crash Analyzer from the Diagnostics and Recovery Toolset window on an end-user computer that has problems. The Crash Analyzer tries to locate the Debugging Tools for Windows on the problem computer. If the directory path dialog box is empty, you must enter the location or browse to the location of the Debugging Tools for Windows (you can download the files from Microsoft). You must also provide a path to where the symbol files are located.

If you included the Microsoft Debugging Tools for Windows and the symbol files when you created the DaRT recovery image, they should be available when you run the Crash Analyzer on the problem computer. If you did not include them in the DaRT recovery image, or if disk size or network connectivity problems are preventing you from obtaining them, then you can copy the dump file from the problem computer and analyze it on a computer that has the stand-alone version of Crash Analyzer installed, such as a helpdesk agent’s computer.

How to open and run the Crash Analyzer on an end-user computer

  1. On the Diagnostics and Recovery Toolset window on an end-user computer, click Crash Analyzer.

  2. Provide the required information for the following:

    • Microsoft Debugging Tools for Windows

    • Symbol files

      For more information about symbol files, see Ensure Access to Symbol Files.

    • A crash dump file

      Follow these steps to determine the location of the crash dump file:

      1. Open the System Properties window.

        Click Start, type sysdm.cpl, and then press Enter.

      2. Click the Advanced tab.

      3. In the Startup and Recovery area, click Settings.

      If you do not have access to the System Properties window, you can search for dump files on the end-user computer by using the Search tool in DaRT.

    The Crash Analyzer scans the crash dump file and reports a probable cause of the crash. You can view more information about the crash, such as the specific crash message and description, the drivers loaded at the time of the crash, and the full output of the analysis.

  3. Decide upon an appropriate strategy to resolve the problem. This may require disabling or updating the device driver that caused the crash by using the Services and Drivers node of the Computer Management tool in DaRT.

How to open and run the stand-alone Crash Analyzer

If you cannot access the Microsoft Debugging Tools for Windows or the symbol files on the end-user computer, you can copy the dump file from the problem computer and analyze it on a computer that has the stand-alone version of Crash Analyzer installed, such as a helpdesk agent’s computer.

To open and run the stand-alone version of the Crash Analyzer Wizard on a helpdesk computer that contains DaRT, click Start, click All Programs, click Microsoft DaRT 7, and then click Crash Analyzer. Then follow the steps in the wizard as described in How to open and run the Crash Analyzer on an end-user computer.

Ensure Access to Symbol Files

Typically, debugging information is stored in a symbol file that is separate from the executable. You must have access to the symbol information when you debug an application that has stopped responding, for example if it crashed.

Symbol files are automatically downloaded when you run Crash Analyzer. If the computer does not have an Internet connection or the network requires the computer to access an HTTP proxy server, the symbol files cannot be downloaded.

The following is a list of options that are available for guaranteeing access to symbol files:

  • Copy the dump file to another computer. If the symbols cannot be downloaded because of a lack of an Internet connection, copy the crash dump file to a computer that does have an Internet connection and run the stand-alone Crash Analyzer Wizard on that computer.

  • Access the symbol files from another computer. If the symbols cannot be downloaded because of a lack of an Internet connection, you can download the symbols from a computer that does have an Internet connection and then copy them to the computer that does not have an Internet connection, or you can map a network drive to a location where the symbols are available on the local network. If you run the Crash Analyzer in a Windows Recovery Environment (Windows RE), you can include the symbol files on the DaRT recovery image. For more information about how to create a recovery image, see Create the DaRT 7 Recovery Image.

  • Access symbol files through an HTTP proxy server. If the symbols cannot be downloaded because an HTTP proxy server must be accessed, use the following steps to access an HTTP proxy server. In DaRT 7, the Crash Analyzer Wizard has a setting available on the Specify Symbol Files Location dialog page, marked with the label Proxy server (optional, using the format "server:port"). You can use this text box to specify a proxy server. Enter the proxy address in the form <hostname>:<port>, where the <hostname> is a DNS name or IP address, and the <port> is a TCP port number, usually 80. There are two modes in which the Crash Analyzer can be run. Following is how you use the proxy setting in each of these modes:

    • Online mode: In this mode, if the proxy server field is left blank, the wizard uses the proxy settings from Internet Options in Control Panel. If you enter a proxy address in the text box which is provided, that address will be used, and it will override the setting in the Internet Options.

    • Windows Recovery Environment (Windows RE): When you run Crash Analyzer from the Diagnostics and Recovery Toolset window, there is no default proxy address. If the computer is directly connected to the Internet, a proxy address is not required. Therefore, you can leave this field blank in the wizard setting. If the computer is not directly connected to the Internet, and it is in a network environment that has a proxy server, you must set the proxy field in the wizard to access the symbol store. The proxy address can be obtained from the network administrator. Setting the proxy server is important only when the public symbol store is connected to the Internet. If the symbols are already on the DaRT recovery image, or if they are available locally, setting the proxy server is not required.

See Also

Other Resources

Operations for DaRT 7


Run the Diagnostic and Recovery Tools in DaRT 7

Microsoft Diagnostics and Recovery Toolset (DaRT) 7 helps diagnose and repair a computer that has problems starting or has other issues. When you boot into a computer by using the DaRT recovery image, a System Recovery Options dialog box appears. Both a graphical user interface and a command-line console are available. The command-line console can be opened by clicking the Command Prompt option in the System Recovery Options window.

Click Microsoft Diagnostics and Recovery Toolset on the System Recovery Options window to open a detailed Diagnostics and Recovery Toolset window that displays the DaRT recovery tools.

The following table lists some problems that can be resolved by using the tools and wizards that are provided in DaRT. For more information about any of the DaRT tools, see Overview of the Tools in DaRT 7. For specific information and instructions about how to run the DaRT tools, click Help on the Diagnostics and Recovery Toolset window to open the client Help file.

Task Solution

Run the DaRT tools remotely

The Remote Connection utility on the Diagnostics and Recovery Toolset window lets a helpdesk agent run the DaRT tools remotely on an end-user computer.

Edit the registry

Registry Editor utility provides information about the registry that can help you repair a computer.

Regain access to a computer

The Locksmith Wizard can be used to list the local user accounts and change passwords.

Diagnose a computer failure

The Crash Analyzer can be used to diagnose the cause of a computer crash and identify the driver that caused the failure.

Recover deleted files

The File Restore utility can be used to find and restore deleted files from any supported Windows-based file system.

Salvage and repair partitions or volumes

The Disk Commander can be used to recover your master boot record (MBR) or recover volumes on disks that are accidentally lost.

Delete disks or volumes

The Disk Wipe utility can be used to delete disks or volumes.

Search for particular files

The Search utility lets you restrict the scope of your search by specifying part of the name, search location, estimated size of the file, or the time when the file was modified.

Browse drives

The Explorer utility lets you browse folders and files that are stored on various drives.

Perform administrative tasks to manage the computer

The Computer Management utility provides recovery tools to help you:

  • Disable problematic drivers or services

  • View event logs

  • Partition and format hard disk drives

  • Obtain information about Autoruns

  • Get information about the computer

Configure TCP/IP

The TCP/IP Config utility helps you to display and set a TCP/IP configuration.

Uninstall Windows hotfixes and service packs

Hotfix Uninstall can be used to remove Windows hotfixes or service packs from a computer that cannot be started.

Check and repair system files

The SFC Scan utility helps you check system files and repair any that are corrupted or missing.

Use an anti-malware tool

The Standalone System Sweeper utility helps detect malware or other unwanted software, and alerts you to potential risks.

See Also

Concepts

Create the DaRT 7 Recovery Image
Overview of the Tools in DaRT 7

Other Resources

Operations for DaRT 7


Troubleshooting DaRT 7

Use the information in this section to help troubleshoot general operational issues in Microsoft Diagnostics and Recovery Toolset (DaRT) 7.

Note
If you have problems when you access any of the functionality in DaRT, you should first check whether your problem might be caused by security issues, disk space limitations, dependent technologies, or network connectivity.

Troubleshooting Issues in DaRT

The following are some issues that you might encounter when you run DaRT and solutions to help troubleshoot these issues:

The Startup Repair tool in WinRE starts to run when you boot into DaRT

Sometimes, Windows Recovery Environment (WinRE) automatically runs Startup Repair when you boot into DaRT. This issue typically occurs if WinRE detects or suspects that Windows 7 shut down incorrectly the last time that it was started.

The exact moment that Startup Repair starts to run in this situation is as follows:

  1. As the computer is booting into the DaRT recovery image, the NetStart dialog box appears. Click Yes or No to specify whether to initialize network services.

  2. Following the network initialization dialog box, you are asked whether you want to remap the drive letters. Click Yes or No.

  3. In the System Recovery Options window, select the keyboard input method and then click Next.

  4. In the System Recovery Options window, select the operating system that you want to repair and then click Next.

At this point, if WinRE detects or suspects that the specified operating system did not start the last time that it was tried, it might start to run Startup Repair. Startup Repair can take a very long time to run, sometimes longer than an hour. When Startup Repair finishes, you are given the option of clicking Finish. If you click Finish, the computer might restart and the whole process might begin again.

Solution

Follow these steps to try to resolve this issue.

If you are still booting into DaRT and have the option to select the operating system that you want to repair (step 4 earlier in this section):
  1. Select Restore your computer using a system image that you created earlier and then click Next.

    The Re-image your computer window appears and starts to search for a system image.

  2. Click Cancel to end the search for a system image.

    The System Recovery Options window opens.

You can now access the DaRT tools by clicking Microsoft Diagnostics and Recovery Toolset.

If the Startup Repair process has already started running:
  1. Click Cancel immediately.

    If you can cancel the process quickly enough, it might prevent Startup Repair from continuing. If Startup Repair continues to run, it might take more than an hour to finish.

  2. After Startup Repair finishes or is canceled, a window appears that might list problems that Startup Repair found.

    Important
    Do not click Finish.

  3. Click the View advanced options for system recovery and support link.

    The System Recovery Options window opens.

You can now access the DaRT tools by clicking Microsoft Diagnostics and Recovery Toolset.

Problems booting into DaRT if the recovery image is BitLocker encrypted

Because of the design of Windows Preinstallation Environment (Windows PE), you can only access an encrypted recovery image by typing in the recovery key.

Solution

If you are trying to boot into a DaRT recovery image that is BitLocker encrypted, you must manually enter the BitLocker recovery key to continue.

All folder contents added to recovery image when you specify additional drivers

When you create the DaRT recovery image, you can include additional drivers by specifying the required files for each driver that you want to include. By default, when you select a Setup Information file (INF) from a particular folder, all additional files and subfolders that are located in that folder are added into the DaRT recovery image. This can cause unintended consequences, for example, by making the recovery image size too large.

Solution

Create a new folder and copy into it all the required files that correspond to only the drivers that you want to include on your recovery image. Then, in the DaRT Recovery Image Wizard, select the copied INF file in the new folder to copy all files into the DaRT image.

Browse button returns an error in the DaRT Recovery Image Wizard

When you run the DaRT Recovery Image Wizard as a different user and try to add more files to the recovery image, you might receive an error message if you do not have permissions to access the other user's Temp folder.

Solution

If you decide to run the wizard as a different user, we recommend that you log on by using that different user account before you run the wizard. If you run the DaRT Recovery Image Wizard as a different user and do not have permissions to access the Temp folder, you can still create a DaRT recovery image. However, you cannot include additional files.

Cannot access check box in Disk Commander tool by using the keyboard

If you are using the Disk Commander tool in the Diagnostics and Recovery Toolset window, you cannot select the Bootable check box in the Restore Volumes window by using your keyboard.

Solution

If you are using only your keyboard when you run Disk Commander, you can switch to the Computer Management tool to make the recovered volume bootable.

Disk Commander reports more volumes than were actually deleted

In some cases, Disk Commander will report more volumes than were actually deleted. This can be because data blocks in the specified location appeared to be valid partitions. Typically, these false partitions are much smaller than the actual volume that you want to recover.

See Also

Tasks

Start DaRT 7 from the DaRT Recovery Image

Other Resources

Operations for DaRT 7
Microsoft Diagnostics and Recovery Toolset 7


Security and Protection for DaRT 7

Microsoft Diagnostics and Recovery Toolset (DaRT) 7 includes functionality that lets an administrator run the DaRT tools remotely to resolve problems on an end-user computer. In earlier releases of DaRT, a help desk technician or administrator had to physically be at an end-user computer and boot into DaRT by using the CD or DVD that included the DaRT recovery image. Now, the help desk technician or administrator can perform the same procedures remotely.

Also in DaRT 7, in addition to burning a CD or DVD, you are now able to save the International Organization for Standardization (ISO) image to a USB flash drive. You can also put the ISO image on a network or include its contents as a recovery partition on a computer hard disk.

The Remote Connection feature in DaRT 7 lets end users access DaRT by using one of these new deployment methods. Therefore, they can more easily start DaRT and access the DaRT tools.

The new functionalities in DaRT 7 provide much more flexibility in how you use DaRT in your enterprise. However, they also create their own set of security issues that must be addressed. We recommend that you consider the following security tips when you configure DaRT.

To help maintain security when you create the DaRT recovery image

When you are creating the DaRT recovery image, you can select the tools that you want to include. For security reasons, you might want to restrict end-user access to the more powerful DaRT tools, such as Disk Wipe and Locksmith. In DaRT 7, you can disable certain tools during configuration and still make them available to helpdesk agents when the end user starts the Remote Connection feature.

You can even configure the DaRT image so that the option to start a remote connection session is the only tool available to an end user.

Important
After the remote connection is established, all the tools that you included in the recovery image, including those unavailable to the end user, will become available to the helpdesk agent working on the end–user computer.

To help maintain security by encrypting the DaRT recovery image

If you use one of the deployment options new in DaRT 7, for example, saving to a USB flash drive or creating a remote partition or a recovery partition, you can include your company’s preferred method of drive encryption on the ISO. This will help make sure that an end user cannot use the functionality of DaRT should they gain access to the recovery image. And it will also make sure that unauthorized users cannot boot into DaRT on computers that belong to someone else.

Your encryption method should be deployed and enabled in all computers.

Note
DaRT 7 supports BitLocker natively.

To help maintain security between two computers during Remote Connection

By default, the communication between two computers that have established a Remote Connection session may not be encrypted. Therefore, to help maintain security between the two computers, we recommend that both computers are a part of the same network.

See Also

Reference

To select the tools to include on the DaRT recovery image

Other Resources

Microsoft Diagnostics and Recovery Toolset 7


Accessibility for People with Disabilities

Microsoft is committed to making its products and services easier for everyone to use. The following topics provide information about the features, products, and services that make Microsoft Diagnostics and Recovery Toolset (DaRT) 7 more accessible for people with disabilities.

In This Section

Keyboard Shortcuts for DaRT 7

Describes keyboard shortcuts for DaRT 7 functionality and tools.

Accessibility Features of Microsoft Diagnostics and Recovery Toolset 7 Help

Describes the accessibility features of DaRT 7 Help.

Accessibility Products and Services from Microsoft

Describes the accessibility products and services that are available from Microsoft.


Keyboard Shortcuts for DaRT 7

The following sections describe keyboard shortcuts in Microsoft Diagnostics and Recovery Toolset (DaRT) 7.

DaRT Administrator/Helpdesk Tools

The following tables show the keyboard shortcuts for the DaRT administrator and helpdesk tools.

DaRT Recovery Image Wizard

Action | Result
Common Shortcuts
ALT+N | Goes to the next wizard page.
ALT+B | Goes to the previous wizard page.
ALT+H | Opens the Help file.
ALT+F4 | Closes the wizard (asks for user permission before closing).
ALT+F4+Y | Confirms Yes and closes the wizard.
ALT+F4+N | Confirms No and does not close the wizard.
Select Boot Image Page
ALT+r | Displays Browse for files or folders window.
Tool Selection Page
ALT+E | Enables the selected tool for local user.
ALT+D | Disables the selected tool for local user.
ALT+r | Displays Browse for files or folders window.
Additional Drivers Page
ALT+A | Displays Add Device driver window.
ALT+A followed by ALT+O | Adds the selected device driver.
Additional Files Page
ALT+S | Displays Show Files window
Create Startup Image Page
ALT+r | Displays Browse for files or folders window.
Burn to CD/DVD Page
ALT+R | Refreshes the drive list.
Final Page
ALT+E | Displays the folder that contains the newly created DaRT ISO image.
ALT+F | Closes the wizard and removes any temporary files.
Navigation Shortcuts
TAB | Moves forward among controls.
SHIFT+TAB | Moves backward among controls.
UP_ARROW | Moves the focus up one item in a pane or selects the previous option button.
DOWN_ARROW | Moves the focus down one item in a pane or selects the next option button.
LEFT_ARROW | Moves the focus backward between controls in a single group.
RIGHT_ARROW | Moves the focus forward between controls in a single group.
ENTER | Selects an item.
SPACE_BAR | Selects an item or selects or unselects check box.
ALT+UP_ARROW | Collapses drop-down list.
ALT+DOWN_ARROW | Expands drop-down list.

DaRT Crash Analyzer

Action | Result
Common Shortcuts
ALT+N | Goes to the next wizard page.
ALT+B | Goes to the previous wizard page.
ALT+F4 | Tries to close Crash Analyzer (asks for user permission before closing).
ALT+F4+Y | Confirms Yes and closes Crash Analyzer.
ALT+F4+N | Confirms No and does not close Crash Analyzer.
Specify Debugging Tools Location Page
ALT+r | Displays Browse for files or folders window.
Specify Symbol Files Location Page
ALT+D | Selects the download symbol files option.
ALT+r | Displays Browse for files or folders window for downloading symbols.
ALT+U | Selects the use symbol files located in this directory option.
ALT+O | Displays Browse for files or folders window to select symbol files location.
ALT+e | Selects or unselects the option to delete symbol files after analysis is completed.
Specify Dump File Page
ALT+r | Displays Browse for files or folders window.
Analysis Summary Page
ALT+D | Displays analysis details.
Analysis Details Window
ALT+S | In Advanced tab, displays the save analysis log window.
Recommendations Page
ALT+F | Finishes Crash Analyzer.
Navigation Shortcuts
TAB | Moves forward among controls.
SHIFT+TAB | Moves backward among controls.
UP_ARROW | Selects the previous radio button.
DOWN_ARROW | Selects the next radio button.
LEFT_ARROW | Selects the previous window tab in multiple tabbed windows.
RIGHT_ARROW | Selects the next window tab in multiple tabbed windows.
ENTER | Selects an item.
SPACE_BAR | Selects an item or selects or unselects check box.

DaRT Remote Viewer

Action Result

Viewer Main Window

ALT+F

Opens the File Menu.

ALT+F+C

Displays the Ticket Information window.

ALT+F+X or ALT+F4

Closes the Remote Connection Viewer and exits. Might open a confirmation dialog if a connection is active.

ALT+H

Opens the Help menu.

ALT+H+D or F1

Displays DaRT Help file.

ALT+H+A

Displays DaRT About Box.

ESC

If connection is active and keyboard and mouse focus is using the Remote Connection window: Close the active or in-focus window on the remote computer.

If connection is active and keyboard and mouse focus is using the Remote Connection Viewer menu or menu item: Release keyboard and mouse focus from Remote Connection Viewer menu or collapse the menu.

CTRL+ALT+LEFT_ARROW

Toggle mouse and keyboard focus between Remote Connection window and Remote Connection Viewer.

Ticket Information Window

ALT+T

Moves the focus to Ticket Number field.

ALT+I

Moves the focus to IP Address field.

ALT+P

Moves the focus to Port number field.

ALT+C

Connects to Remote Machine by using the ticket information.

ALT+F4

Closes Ticket information window.

Exit Confirmation Dialog

ALT+Y

Confirms Yes and closes the Remote Connection Viewer.

ALT+N

Confirms No and does not close the Remote Connection Viewer.

Navigation Shortcuts

TAB

Moves forward among ticket information fields and connection controls.

SHIFT+TAB

Moves backward among ticket information fields and connection controls.

UP_ARROW

Moves the focus up one item in a menu.

DOWN _ARROW

Expands a menu or moves the focus down one item in a menu.

LEFT_ARROW

Moves the focus backward between menus or connection controls.

RIGHT_ARROW

Moves the focus forward between menus or connection controls.

Diagnostics and Recovery Toolset Window Tools

The following tables show the keyboard shortcuts for the tools in the Diagnostics and Recovery Toolset window.

DaRT Menu

Action | Result
TAB | Moves the focus from one tool link to another.
TAB then DOWN_ARROW | Moves the focus to the next tool, and then selects that tool’s description.
ALT + C, ALT+F4 | Closes the DaRT menu.
Space bar or Enter | Starts the selected tool.

Registry Editor

Action | Result
ALT + Spacebar + C, ALT + F4 | Closes the wizard.
File Menu
ALT + F | Invokes the File menu.
ALT + F + I | Imports the registry keys.
ALT + F + E | Exports the registry keys.
ALT + F + L | Loads registry hives.
ALT + F + U | Unloads registry hives.
Edit Menu
ALT + E | Invokes the Edit menu.
ALT + E + N | Invokes New keys creation submenu.
ALT + E + N + K | Creates a registry key.
ALT + E + N + S | Creates a string value.
ALT + E + N + B | Creates a Binary value.
ALT + E + N + D | Creates a DWORD value.
ALT + E + N + M | Creates a Multi string value.
ALT + E + N + E | Creates an Expandable string value.
ALT + E + P | Grants permissions to the registry key.
ALT +E + D , Del | Deletes the selected registry key.
ALT +E + R | Brings the key into rename mode.
ALT +E + C | Selects and copies the key name.
ALT +E + F, Ctrl + F | Invokes the Find dialog box.
ALT +E + X, F3 | Functions as the Find next button in the Find dialog box.
Find
Ctrl+ F then ALT + W | Opens the find dialog and selects the whole string match check box.
Ctrl+ F then ALT + K | Selects the Keys match check box to check the keys as per input entered.
Ctrl+ F then ALT + V | Selects the Values match check box to check the values as per input entered.
Ctrl+ F then ALT + D | Selects the Data match check box to check the data as per input entered.
Ctrl+ F then ALT + N | Moves the focus to the Find input field.
Ctrl+ F then ALT + F | Moves to the next result for Find as per the input entered.
View Menu
ALT + V | Invokes the View menu.
ALT + V + B | Enables and disables the status bar.
ALT + V + L | Highlights the separation bar between the content and navigation pane to let you resize the panes.
ALT + V + D | Displays Binary data.
ALT + V + R, F5 | Refreshes the Binary data.
Favorites Menu
ALT + A | Invokes the Favorites menu.
ALT + A + A | Adds a registry key into Favorites.
ALT + A + R | Removes an existing registry key from the Favorites menu.
Help Menu
ALT + H | Invokes the Help menu.
ALT + H + H | Opens the Help window.
ALT + H + A | Opens the About dialog for Registry editor.
Application button/key | Opens the shortcut menu for a selected Registry key.
+/- or RIGHT_ARROW/LEFT_ARROW | Expands or collapses the registry hives.
Up and down arrows | Moves from one key to another in sequence.
F6 and Tab | Switches between the content pane and navigation pane.

Locksmith

Action | Result
ESC | Closes the Locksmith wizard.
ALT+N | Goes to the next wizard page.
ALT+B | Goes to the previous wizard page.
TAB | Moves among all the controls in a sequence.
DOWN_ARROW/UP_ARROW | Changes the users in the Account drop-down list.
ALT + F | Closes the Locksmith wizard.

Crash Analyzer

Action | Result
ESC | Closes the Crash Analyzer.
ESC then Y | Confirms “Yes” and closes Crash Analyzer wizard.
ESC then N | Confirms “No” and does not close the Crash Analyzer.
ALT+N | Goes to next wizard page.
ALT+B | Goes to previous wizard page.
TAB | Moves among all the controls in a sequence.
ALT + R | Browses for the Microsoft debugging tools.
Symbol Files Location Wizard
ALT + D | Selects the button to download the symbol files to the specified directory.
ALT + R | Browses for the directory from which symbol files should be downloaded.
ALT + E | Selects the check box to delete the symbol files.
ALT + P | Moves the focus to the text box to enter proxy server details.
ALT + U | Specifies to obtain the symbol files from a directory instead of downloading.
ALT + O | Browses to the local folder where symbol files exist.
Specify Dump File Page
ALT + C | Moves the focus to the text box to enter the path of the dump file.
ALT + R | Browses the existing dump file.
Analysis Summary
ALT + D | Views the analysis summary.
Recommendations
ALT + F | Closes the Crash Analyzer wizard after the analysis is completed.

File Restore

Action | Result
File Menu
ALT + F | Invokes the File menu.
ALT + F + S | Starts the search.
ALT + F + N | Starts the new search by deleting the text in the search box.
ALT + F + P | Returns the properties of a file in the search results.
ALT + F + U, Ctrl + C | Copies the search resultant file or folder to another folder.
ALT + F + O | Copies the selected list of files to the clipboard.
ALT + F + X | Exits the File Restore wizard.
Tools Menu
ALT + T | Invokes the Tools menu.
ALT + T + S | Opens the disk scan wizard.
ALT+N | Goes to the next wizard page.
ALT+B | Goes to the previous wizard page.
Select Volume
UP_ARROW/DOWN_ARROW | Moves among the disks listed in the Select Volume wizard.
ALT + T + V | Views the volumes on the disk.
ALT + S | In the Show Volumes dialog box, saves the lost volume scan.
ALT + L | In the Show Volumes dialog box, loads the lost volume scan.
ALT + C | In the Show Volumes dialog box, closes the Show Volumes dialog box.
View Menu
ALT + V | Invokes the View menu.
ALT + V + F | Selects or unselects the flat mode check box in the folder pane.
Help Menu
ALT + H | Invokes the Help menu.
ALT + H + H | Opens the Help window.
ALT + H + A | Opens the About dialog box for File Restore.
ALT + S | Starts the search.
ALT + P | Stops the search.
ALT + A | Applies the filter.
TAB | Moves the focus throughout the controls.
SHIFT + TAB | Moves the focus throughout the controls in reverse order.

Disk Commander

Action | Result
ALT+N | Goes to the next wizard page.
ALT+B | Goes to the previous wizard page.
Choose Recovery Options
ALT + M | Restores the master boot record.
ALT + L | Recovers one or more lost volumes.
ALT + T | Restores the partition tables for the Disk Commander backup.
ALT + S | Saves the partition tables to the Disk Commander backup.
Backup Partition Table
ALT + T | Selects the button to move the partition table backup into a file.
ALT + R | Selects the file for moving the backup of the partition table.
ALT + D | Selects the button to not backup the partition table.
UP_ARROW/DOWN_ARROW | Moves among the files listed in the current partition layout as well as in the partition layout after a restore.
ESC | Closes the Disk Commander.
ESC then Y | Confirms “Yes” and closes the Disk Commander.
ESC then N | Confirms “No” and does not close Disk Commander.

Disk Wipe

Action | Result
ALT + S | Starts Disk Wipe.
ALT + E | Erases the selected disk or volume.
UP_ARROW/DOWN_ARROW | Selects between the option buttons. Also, changes the drive names in the drop-down fields.
ESC | Closes Disk Wipe.

Computer Management

Action | Result
Action Menu
ALT + A | Invokes the Action menu.
ALT + A + R | Refreshes the contents in Computer Management.
ALT + A + P | Displays the properties of selected services and drivers.
ALT + A + X | Exits the Computer Management wizard.
View Menu
ALT + V | Invokes the View menu.
ALT + F | Opens the wizard to enter WQL queries in Event Viewer.
Help Menu
ALT + H | Invokes the Help menu.
ALT + H + H | Opens the Help window.
ALT + H + A | Opens the About dialog box for Computer Management.
LEFT_ARROW/RIGHT_ARROW | Expands or collapses the nodes.
UP_ARROW/DOWN_ARROW | Moves from one node to another in sequence. Also moves among the drives listed in Disk Management.
TAB | Switches between the content pane and navigation pane.
Application key | Opens the shortcut menu to the drives listed in Disk Management.
Application key + R | Refreshes the wizard in Disk Management.
Application key + P | Returns the properties of the drive that is selected in Disk Management.

Help

Action | Result
Action Menu
LEFT_ARROW/RIGHT_ARROW | Expands or collapses nodes in the content navigation pane.
UP_ARROW/DOWN_ARROW | Moves through the help content.
TAB and SHIFT_TAB | Switches between panes.
ALT + P | Displays the previous content.
ALT + N | Displays the next content.
ALT + B | Displays the last visited content.
Home and end Buttons | Displays home and end links in the navigation pane and displays the related contents in the content pane.

Explorer

Action | Result
File Menu
ALT + F + N | Creates a new folder in Windows Explorer.
ALT + F + D | Deletes a file or a folder.
ALT + F + M | Renames a file or a folder.
ALT + F + R | Displays the properties of a file or a folder.
ALT + F + C | Closes Windows Explorer.
Edit Menu
ALT + E | Opens the Edit menu.
ALT + E + C | Copies to a folder.
ALT + E + M | Moves to a folder.
ALT + E + A | Selects all folders or files.
ALT + V | Opens the View tab.
ALT + V+ U | Move up one level of the folder.
ALT + T | Opens the Tools menu.
ALT + T + S | Opens the search window.
ALT + T + N | Maps a network drive.
ALT + H | Opens a Help tab.
ALT + H + H | Opens a window for Help topics.
ALT + H+ A | Displays information about Explorer.
ALT + T + D | Disconnects a network drive.
Tab or F6 | Moves from one tab to another.
Up arrow | Moves the focus up one item in a menu.
Down arrow | Expands a menu or moves the focus down one item in a menu.
Left arrow | Moves the focus backward between menus or connection controls.
Right arrow | Moves the focus forward between menus or connection controls.

Solution Wizard

Action | Result
ALT + N | Goes to next wizard page.
ALT + B | Goes to previous wizard page.
ALT + s | Selects the option "system will not start correctly" in Solution Options page of the wizard.
ALT + D | Selects the option "Data on the system needs to be salvaged" in Solution Options page of the wizard.
ALT + P | Selects the option "Cannot log in because of a lost password" in Solution Options page of the wizard.
ALT + M | Selects the option "I suspect that I might have malicious or potentially unwanted software on my system" in the Solution Options page of the wizard.
ALT + O | Selects the option "Some other problem" in Solution Options page of the wizard.
ALT + V | Selects the option "View diagnostics information" in Repair a system that will not start page of the wizard.
ALT + P | Selects the option "Perform a repair” in Repair a system that will not start page of the wizard.
ALT + V | Selects the option "View details about the system” in Diagnose the problem page of the wizard.
ALT + A | Selects the option "Analyze a crash dump file generated by the system” in Diagnose the problem page of the wizard.
ALT + E | Selects the option "View the event log" in Diagnose the problem page of the wizard.
ALT + R | Selects the option "Restore the system to a windows restore point" in Repair options page of the wizard.
ALT + S | Selects the option "Scan for corrupt system files and replace them” in Repair options page of the wizard.
ALT + U | Selects the option "Uninstall a hot fix or service pack" in Repair options page of the wizard.
ALT + M | Selects the option "Modify settings for a device or service" in Repair options page of the wizard.
ALT + O | Selects the option "Other repair options" in Repair options page of the wizard.
ALT + E | Selects the option "Use ERD explorer to browse through the file system" in Other options page of the wizard.
ALT + R | Selects the option “Use ERD registry editor to edit the registry” in Other options page of the wizard.
ALT + D | Selects the option "Securely erase a volume or disk" in Other options page of the wizard.
ALT + S | Selects the option "Search for a file" in Other options page of the wizard.
ALT + U | Selects the option "Use notepad to edit a file" in Other options page of the wizard.
ALT + V | Selects the option "View or edit disks and volumes" in Other options page of the wizard.
ALT + P | Selects the option "Use a command prompt" in Other options page of the wizard.
ALT + C | Selects the option "Configure network setting to access remote systems" in Other options page of the wizard.
ALT + D | Selects the option "One or more accidentally deleted" in Salvage data page of the wizard.
ALT + C | Selects the option "The disk is corrupted" in Salvage data page of the wizard.
ALT + F | Selects the Finish button.
ALT+F4+Y | Confirms “Yes” and closes Solution Wizard.
ALT+F4+N | Confirms “No” and does not close the Solution Wizard.
TAB | Moves from one control to another.

TCP/IP

Action | Result
ALT + D | Moves the focus to “Enter Adapter” in the adapter text box.
ALT + O | Selects the option button to obtain the IP address automatically.
ALT + U | Selects the option button to enter a custom IP address.
ALT + I | Moves the focus to the IP address text box to enter an IP address.
ALT + S | Moves the focus to the text box to enter Subnet Mask.
ALT + E | Moves the focus to the text box to enter a default gateway address.
ALT + O | Selects the option button to obtain a DNS Server address automatically.
ALT + T | Selects the option button to enter a custom DNS server address.
ALT + P | Moves the focus to the text box to enter preferred DNS server address.
ALT + L | Moves the focus to the text box to enter alternate DNS server address.
ALT + V | Displays Advanced information about addresses.
ALT + A | Applies the changes that were made in the wizard.

Hotfix Uninstall

Action | Result
ALT+N | Goes to the next wizard page.
ALT+B | Goes to the previous wizard page.
ALT + F | Selects the Finish button in the final wizard to close it.
TAB | Moves the focus from one control to another.
SHIFT + TAB | Moves the focus from one control to another in reverse order.
UP_ARROW/DOWN_ARROW | Moves the focus from one hot fix to another in the wizard.
Spacebar | Selects the hot fix check box to uninstall.

SFC Scan

Action | Result
ALT+N | Goes to the next wizard page.
ALT+ B | Goes to the previous wizard page.
Repair Options
ALT + S | Scans and repairs automatically.
ALT + F | Selects the Finish button to exit the wizard after Alt + F scan.
ALT + P | Scans and then prompts before it performs a repair.
Alt + F | Selects the Finish button to exit the wizard after Alt + P scan.

File Search

Action | Result
File Menu
Alt + F | Invokes the File menu.
Alt + F + N | Starts a new search.
Alt + F + O/ Alt + F + E | Opens the search results from the selected folder or file in Windows Explorer.
Alt + F + C/ Alt + F + M | Copies or moves the selected folder or file to another folder.
Alt + M | Creates a new folder to copy or move the selected folder or file into it.
Alt + F + P | Opens the Properties window of the resulting search folder or file.
Alt + F + X | Closes the File Search Wizard.
Help Menu
Alt + H | Invokes the Help menu.
Alt + H + H | Opens the Help Wizard.
Alt + H + A | Opens the About File search window.
TAB | Moves the keyboard focus to all the controls.
DOWN_ARROW/UP_ARROW in Look-in field drop-down box | Selects the drives from the drop-down box or opens the browse window to select the drives directly.
TAB and DOWN_ARROW/UP_ARROW | Selects values in the changed section of the last days and months field.
TAB and DOWN_ARROW/UP_ARROW | Selects dates in the changed section of the day format field.
TAB and DOWN_ARROW/UP_ARROW | Changes the values in the size field for the folder or file being searched.
Alt + S | Starts the search immediately.
Alt + P | Stops the search immediately.

Standalone System Sweeper

Action | Result
ALT + F | Starts a full scan.
ALT + K | Checks for updates if latest definition updates are not present in the computer.
TAB | Moves the keyboard focus from one control to another.
ALT + C | Cancels the scan in progress.
Join Microsoft Spynet Page
ALT + B | Joins the network by using basic membership.
ALT + A | Joins the network by using advanced membership.
ALT + I | Does not join the network.
ALT + S | Saves the changes done in the network join page.
ALT + C | Discards the changes that were made in the network join page.
ALT + H | Clears the history present in the history page.
Tools Menu
Options Sub Menu
ALT + A | Includes the files or locations to scan in the Options page.
ALT + R | Excludes the files or locations to scan in the Options page.
ALT + S | Saves the changes that were made on the Options page.
ALT + C | Discards the changes that were made on the Options page.
Help
ALT + C | Closes the Help window.
Updates
ALT + B | Browses for the updates present in the computer.
ALT + D | Downloads the updates from the web.

Remote Connection

Action | Result
ALT + Y | Accepts the start of Remote Connection.
ALT + N | Does not accept the start of Remote Connection.
UP_ARROW/DOWN_ARROW | Switches between IPV4 and IPV6 addresses in the drop-down field.


Accessibility Features of Microsoft Diagnostics and Recovery Toolset 7 Help

Several features in Help for Microsoft Diagnostics and Recovery Toolset (DaRT) 7 improve accessibility for its users. This includes those who have limited dexterity, low vision, or other disabilities. Additionally, DaRT 7 Help is available on the web with the Microsoft Diagnostics and Recovery Toolset 7 documentation in the TechNet Library.

Keyboard Shortcuts for the Help Window

By using the following keyboard shortcuts in Help, you can quickly perform many common tasks.

To do this | Use this keyboard shortcut
Display the Help window. | F1
Switch the pointer between the Help topic pane and the navigation pane (tabs Contents, Search, and Index). | F6
Change between tabs, such as Contents, Search, and Index ,in the navigation pane. | ALT + Underlined letter of the tab
Select the next hidden text or hyperlink. | TAB
Select the previous hidden text or hyperlink. | SHIFT+TAB
Perform the action for the selected Show All, Hide All, hidden text, or hyperlink. | ENTER
Display the Options menu to access any Help toolbar command. | ALT+O
Hide or show the pane that contains the Contents, Search, and Index tabs. | ALT+O, and then press T
Display the previously viewed topic. | ALT+O, and then press B
Display the next topic in a previously displayed sequence of topics. | ALT+O, and then press F
Return to the specified home page. | ALT+O, and then press H
Stop the Help window from opening a Help topic (useful if you want to stop a webpage from downloading). | ALT+O, and then press S
Open the Internet Options dialog box for Windows Internet Explorer, where you can change accessibility settings. | ALT+O, and then press I
Refresh the topic (useful if you have linked to a webpage). | ALT+O, and then press R
Print all topics in a book or a selected topic only. | ALT+O, and then press P
Close the Help window. | ALT+F4

Procedures

To change the appearance of a Help topic

  1. To customize the colors, font styles, and font sizes used in Help, open the Help window.

  2. Click Options, and then click Internet Options.

  3. On the General tab, click Accessibility. Select Ignore colors specified on Web pages, Ignore font styles specified on Web pages, and Ignore font sizes specified on Web pages. You can also use the settings specified in your own style sheet.

  4. To change the colors that are used in Help, see "To change the color of the background or text in Help". To change the font, see "To change the font in Help."

To change the color of the background or text in Help

  1. Open the Help window.

  2. Click Options, and then click Internet Options.

  3. On the General tab, click Accessibility. Then, select Ignore colors specified on Web pages. You can also use the settings specified in your own style sheet.

  4. To customize the colors that are used in Help, on the General tab, click Colors. Clear the Use Windows Colors check box, and then select the font and background colors that you want to use.

    Note
    If you change the background color of the Help topics in the Help window, the change also affects the background color when you view a webpage in Windows Internet Explorer.

To change the font in Help

  1. Open the Help window.

  2. Click Options, and then click Internet Options.

  3. On the General tab, click Accessibility. To use the same settings as those used in your instance of Windows Internet Explorer, select Ignore font styles specified on Web pages and Ignore font sizes specified on Web pages. You can also use the settings specified in your own style sheet.

  4. To customize the font style that is used in Help, on the General tab, click Fonts, and then click the font style that you want.

    Note
    If you change the font of the Help topics in the Help window, the change also affects the font when you view a webpage in Internet Explorer.


Accessibility Products and Services from Microsoft

Microsoft is committed to making its products and services easier for everyone to use. The following sections provide information about the features, products, and services that make Microsoft® Windows® more accessible for people with disabilities:

  • Accessibility Features of Windows

  • Documentation in Alternative Formats

  • Customer Service for People with Hearing Impairments

  • For More Information

Note
The information in this section may apply only to users who license Microsoft products in the United States. If you obtained this product outside of the United States, you can use the subsidiary information card that came with your software package or visit the Microsoft Accessibility website for a list of Microsoft support services telephone numbers and addresses. You can contact your subsidiary to find out whether the type of products and services described in this section are available in your area. Information about accessibility is available in other languages, including Japanese and French.

Accessibility Features of Windows

The Windows operating system has many built-in accessibility features that are useful for individuals who have difficulty typing or using a mouse, are blind or have low vision, or who are deaf or hard-of-hearing. The features are installed during Setup. For more information about these features, see Help in Windows and the Microsoft Accessibility website.

Free Step-by-Step Tutorials

Microsoft offers a series of step-by-step tutorials that provide detailed procedures for adjusting the accessibility options and settings on your computer. This information is presented in a side-by-side format so that you can learn how to use the mouse, the keyboard, or a combination of both. To find step-by-step tutorials for Microsoft products, see the Microsoft Accessibility website.

Assistive Technology Products for Windows

A wide variety of assistive technology products are available to make computers easier to use for people with disabilities. You can search a catalog of assistive technology products that run on Windows at the Microsoft Accessibility website. If you use assistive technology, be sure to contact your assistive technology vendor before you upgrade your software or hardware to check for possible compatibility issues.

Documentation in Alternative Formats

If you have difficulty reading or handling printed materials, you can obtain the documentation for many Microsoft products in more accessible formats. You can view an index of accessible product documentation on the Microsoft Accessibility website. In addition, you can obtain additional Microsoft publications from Learning Ally (formerly Recording for the Blind & Dyslexic, Inc.). Learning Ally distributes these documents to registered, eligible members of their distribution service. For information about the availability of Microsoft product documentation and books from Microsoft Press, contact:

Learning Ally (formerly Recording for the Blind & Dyslexic, Inc.)
20 Roszel Road
Princeton, NJ 08540

Telephone number from within the United States: (800) 221-4792
Telephone number from outside the United States and Canada: (609) 452-0606
Fax: (609) 987-8116
Learning Ally website

Web addresses can change, so you might be unable to connect to the website or sites mentioned here.

Customer Service for People with Hearing Impairments

If you are deaf or hard-of-hearing, complete access to Microsoft product and customer services is available through a text telephone (TTY/TDD) service:

  • For customer service, contact Microsoft Sales Information Center at (800) 892-5234 between 6:30 AM and 5:30 PM Pacific Time, Monday through Friday, excluding holidays.

  • For technical assistance in the United States, contact Microsoft Product Support Services at (800) 892-5234 between 6:00 AM and 6:00 PM Pacific Time, Monday through Friday, excluding holidays. In Canada, dial (905) 568-9641 between 8:00 AM and 8:00 PM Eastern Time, Monday through Friday, excluding holidays.

Microsoft Support Services are subject to the prices, terms, and conditions in place at the time the service is used.

For More Information

For more information about how accessible technology for computers helps to improve the lives of people with disabilities, see the Microsoft Accessibility website.


Copyright Notice

This document is provided "as-is". Information and views expressed in this document, including URL and other Internet Web site references, may change without notice.

Some examples depicted herein are provided for illustration only and are fictitious. No real association or connection is intended or should be inferred.

This document does not provide you with any legal rights to any intellectual property in any Microsoft product. You may copy and use this document for your internal, reference purposes. You may modify this document for your internal, reference purposes.

© 2011 Microsoft Corporation. All rights reserved.

Microsoft, Active Directory, ActiveX, Bing, Excel, Silverlight, SQL Server, Windows, Windows Intune, Windows PowerShell, and Windows Vista are trademarks of the Microsoft group of companies. All other trademarks are property of their respective owners.